## Getting Started Developing

1) Install Deno

	Run their shell script (note: as yourself, not root)

	```
	curl -fsSL https://deno.land/install.sh | sh
	```

	Or using Nix:

	```
	nix-shell -p deno
	```

2) Clone the repo:

	`git clone https://andyburke.dev/andyburke/autonomous.contact.git`

3) Start the server:

	`deno run task serve`

4) Navigate to http://localhost:8000

## TODO

- [X] sign up
- [X] check for logged in user session
- [X] log in
- [X] chat rooms
- [X] chat messages
- [ ] bulletin board instead of exchange/work?
- [ ] should everything be an event in a room?
- [ ] post-it style notes with tag and keyword filtering?
- [ ] simple wiki for resources
- [ ] simple calendar with public/private event tracking
- [ ] caldav support?
- [ ] add an optional env var where you can specify a list of
		"directory servers" (;-separated urls?) to ping with this
		server's existence - the idea being these central servers
	 	could be distributed directories - your town might run one,
		your state, your country, or you could publish to a public
		one that is organized around interests
- [X] user profile page
- [ ] user profile editing
